/**
 * 
 */
package de.fhhannover.inform.trust.ifmapcli.common;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.Locale;
import java.util.SimpleTimeZone;

import org.junit.Test;

/**
 * Test class for {@link Common}
 * 
 * @author ib
 */
public class TestCommon {
	
	@Test
	public void testIsUpdate() {
		assertTrue(Common.isUpdate("update"));
		assertFalse(Common.isUpdate("Update"));
	}
	
	@Test
	public void testIsDelete() {
		assertTrue(Common.isDelete("delete"));
		assertFalse(Common.isDelete("Delete"));
	}
	
	@Test
	public void testIsUpdateOrDelete() {
		assertTrue(Common.isUpdateorDelete("update"));
		assertTrue(Common.isUpdateorDelete("delete"));
		assertFalse(Common.isUpdateorDelete("Update"));
		assertFalse(Common.isUpdateorDelete("Delete"));
	}
	
	@Test
	public void testGetTimeAsXsdDateTime() {
		Calendar gc = new GregorianCalendar(SimpleTimeZone.getTimeZone("CET"), Locale.GERMANY);
		gc.set(2011, 12, 01, 13, 37, 00);
		// FIXME this might be broken in different timezones
		assertEquals("2012-01-01T13:37:00+01:00", Common.getTimeAsXsdDateTime(gc.getTime()));
	}
	
}
